<xsl:stylesheet version='1.0'
xmlns:xsl='http://www.w3.org/1999/XSL/Transform'>
    <xsl:template match="/">
    <style> 
        .value { width:"25%";font-family:courier new; font-size:.8em;white-space=pre;} 
    </style>
    <table border="1" cellspacing="0" cellpadding="3" bordercolor="gainsboro">
        <tr>
            <th>Date</th>
            <th>Name</th>
            <th>Email</th>
            <th>Homepage</th>
            <th>Country</th>
        </tr>
        <xsl:for-each select='guestbook/entry'>
		    <tr>
                <td class="value"><em><xsl:value-of select='@date'/></em></td>
                <td class="value"><xsl:value-of select='name'/></td>
                <td class="value"><xsl:value-of select='email'/></td>
                <td class="value"><xsl:value-of select='homepage'/></td>
                <td class="value"><xsl:value-of select='country'/></td>
	        </tr>
	        <tr>
				<td class="value" colspan="5"><pre>Comments: <xsl:value-of select='comment'/></pre></td>
	        </tr>
        </xsl:for-each>
    </table>
    </xsl:template>
    
</xsl:stylesheet>
